#ifndef ISECURITYPLUGIN_H
#define ISECURITYPLUGIN_H

#include <QtPlugin>
#include <QWidget>

class ISecurityPropertyTab;
class ISecurityPropertyConfigTab;
class ISecurityJobAction;

class ISecurityPlugin
{
public:
    virtual ~ISecurityPlugin() {}

    virtual ISecurityPropertyTab* createPropertyTab(QWidget *parent) = 0;
    virtual ISecurityPropertyConfigTab* createPropertyConfigTab(QWidget *parent) = 0;
    virtual ISecurityJobAction* createJobAction(QWidget *parent) = 0;
};

Q_DECLARE_INTERFACE(ISecurityPlugin, "ru.rusbitech.fly-admin-printer.ISecurityPlugin/1.0")

#endif // ISECURITYPLUGIN_H
