#ifndef PLUGINSMANAGER_H
#define PLUGINSMANAGER_H

#include <fly-admin-printer_export.h>
#include <QList>
#include <QWidget>

class ISecurityPlugin;
class ISecurityPropertyTab;
class ISecurityPropertyConfigTab;
class ISecurityJobAction;

class FLY_ADMIN_PRINTER_EXPORT PluginsManager
{
public:
    static PluginsManager* instance();

    QList<ISecurityPropertyTab *> createPropertyTabs(QWidget *parent = nullptr);
    QList<ISecurityPropertyConfigTab *> createPropertyConfigTabs(QWidget *parent = nullptr);
    QList<ISecurityJobAction *> createJobActions(QWidget *parent = nullptr);

private:
    PluginsManager();

    QList<ISecurityPlugin*> m_plugins;
};

#endif // PLUGINSMANAGER_H
